Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/adapters/IndexRAdaptor.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/adapters/IndexRAdaptor.java	(revision 2396)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/adapters/IndexRAdaptor.java	(revision 2397)
@@ -19,11 +19,11 @@
  *
  */
 public class IndexRAdaptor extends RAdaptor {
-
 	
+	
 	/** The novoc. */
 	protected static int no_index = 1;
-
+	
 	/** The prefix r. */
 	protected static String prefixR = "Index"; //$NON-NLS-1$
 	
@@ -38,63 +38,61 @@
 			return sended.get(index);
 		}
 		
-		String symbol = prefixR+no_index;
-
+		String symbol = prefixR + no_index;
+		
 		ArrayList<String> colnames = new ArrayList<String>();
-
+		
 		colnames.add("F"); //$NON-NLS-1$
 		List<String> partnames = index.getPartnames();
 		if (partnames.size() > 1)
 			for (int j = 0; j < partnames.size(); j++)
-				colnames.add(partnames.get(j)); 
-
-		//System.out.println("cols: "+colnames);
-
+			colnames.add(partnames.get(j));
+		
+		// System.out.println("cols: "+colnames);
+		
 		List<Line> lines = index.getAllLines();
 		String[] keywords = new String[lines.size()];
-
+		
 		int[] freq = new int[lines.size()];
 		ArrayList<int[]> partfreqs = new ArrayList<int[]>(partnames.size());
 		if (partnames.size() > 1)
 			for (int j = 0; j < partnames.size(); j++)
-				partfreqs.add(new int[lines.size()]);
-
-		for (int i = 0 ; i < lines.size() ; i++) 
-		{
+			partfreqs.add(new int[lines.size()]);
+		
+		for (int i = 0; i < lines.size(); i++) {
 			Line ligne = lines.get(i);
-			freq[i] = ligne.getFrequency(); 
+			freq[i] = ligne.getFrequency();
 			keywords[i] = ligne.toString();
 			if (partnames.size() > 1)
-				for (int j = 0; j < partnames.size(); j++)
-				{
-					partfreqs.get(j)[i] = ligne.getFrequency(j);
+				for (int j = 0; j < partnames.size(); j++) {
+				partfreqs.get(j)[i] = ligne.getFrequency(j);
 				}
-
+				
 		}
-
+		
 		RWorkspace rw = RWorkspace.getRWorkspaceInstance();
 		if (partnames.size() > 1)
 			for (int j = 0; j < partnames.size(); j++)
-				rw.addVectorToWorkspace("vocpartfreqs"+j, partfreqs.get(j)); //$NON-NLS-1$
+			rw.addVectorToWorkspace("vocpartfreqs" + j, partfreqs.get(j)); //$NON-NLS-1$
 		rw.addVectorToWorkspace("vocfreq", freq); //$NON-NLS-1$
 		rw.addVectorToWorkspace("vockeywords", keywords); //$NON-NLS-1$
 		rw.addVectorToWorkspace("voccolnames", colnames.toArray(new String[colnames.size()])); //$NON-NLS-1$
-
+		
 		int ncol = 1;
 		if (partnames.size() > 1)
 			ncol += partnames.size();
-
+		
 		int nrow = lines.size();
 		String partscmd = ""; //$NON-NLS-1$
 		if (partnames.size() > 1)
 			for (int j = 0; j < partnames.size(); j++)
-				partscmd +=", vocpartfreqs"+j; //$NON-NLS-1$
-
-		rw.eval(symbol+ "<- matrix(data = c(vocfreq"+partscmd+"), nrow = "+nrow+", ncol = "+ncol+")"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
-		rw.eval("colnames("+symbol+" ) <- voccolnames"); //$NON-NLS-1$ //$NON-NLS-2$
-		rw.eval("rownames("+symbol+" ) <- vockeywords"); //$NON-NLS-1$ //$NON-NLS-2$
-		rw.eval(symbol+ "<- list(data="+symbol+")"); //$NON-NLS-1$ //$NON-NLS-2$
-
+			partscmd += ", vocpartfreqs" + j; //$NON-NLS-1$
+			
+		rw.eval(symbol + "<- matrix(data = c(vocfreq" + partscmd + "), nrow = " + nrow + ", ncol = " + ncol + ")"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+		rw.eval("colnames(" + symbol + " ) <- voccolnames"); //$NON-NLS-1$ //$NON-NLS-2$
+		rw.eval("rownames(" + symbol + " ) <- vockeywords"); //$NON-NLS-1$ //$NON-NLS-2$
+		rw.eval(symbol + "<- list(data=" + symbol + ")"); //$NON-NLS-1$ //$NON-NLS-2$
+		
 		no_index++;
 		
 		sended.put(index, symbol);
@@ -114,42 +112,41 @@
 			return sended.get(index);
 		}
 		
-		String symbol = prefixR+no_index;
-
+		String symbol = prefixR + no_index;
+		
 		ArrayList<String> colnames = new ArrayList<String>();
-
+		
 		colnames.add("F"); //$NON-NLS-1$
-
-		//System.out.println("cols: "+colnames);
-
+		
+		// System.out.println("cols: "+colnames);
+		
 		List<Line> lines = index.getAllLines();
 		String[] keywords = new String[lines.size()];
-
+		
 		int[] freq = new int[lines.size()];
-
-		for (int i = 0 ; i < lines.size() ; i++) 
-		{
+		
+		for (int i = 0; i < lines.size(); i++) {
 			Line ligne = lines.get(i);
-			freq[i] = ligne.getFrequency(); 
+			freq[i] = ligne.getFrequency();
 			keywords[i] = ligne.toString();
-
+			
 		}
-
+		
 		RWorkspace rw = RWorkspace.getRWorkspaceInstance();
 		rw.addVectorToWorkspace("vocfreq", freq); //$NON-NLS-1$
 		rw.addVectorToWorkspace("vockeywords", keywords); //$NON-NLS-1$
 		rw.addVectorToWorkspace("voccolnames", colnames.toArray(new String[colnames.size()])); //$NON-NLS-1$
-
+		
 		int ncol = 1;
-
+		
 		int nrow = lines.size();
 		String partscmd = ""; //$NON-NLS-1$
-
-		rw.eval(symbol+ "<- matrix(data = c(vocfreq"+partscmd+"), nrow = "+nrow+", ncol = "+ncol+")"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
-		rw.eval("colnames("+symbol+" ) <- voccolnames"); //$NON-NLS-1$ //$NON-NLS-2$
-		rw.eval("rownames("+symbol+" ) <- vockeywords"); //$NON-NLS-1$ //$NON-NLS-2$
-		rw.eval(symbol+ "<- list(data="+symbol+")"); //$NON-NLS-1$ //$NON-NLS-2$
-
+		
+		rw.eval(symbol + "<- matrix(data = c(vocfreq" + partscmd + "), nrow = " + nrow + ", ncol = " + ncol + ")"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+		rw.eval("colnames(" + symbol + " ) <- voccolnames"); //$NON-NLS-1$ //$NON-NLS-2$
+		rw.eval("rownames(" + symbol + " ) <- vockeywords"); //$NON-NLS-1$ //$NON-NLS-2$
+		rw.eval(symbol + "<- list(data=" + symbol + ")"); //$NON-NLS-1$ //$NON-NLS-2$
+		
 		no_index++;
 		
 		sended.put(index, symbol);
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/adapters/LexiconAdapterFactory.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/adapters/LexiconAdapterFactory.java	(revision 2396)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/adapters/LexiconAdapterFactory.java	(revision 2397)
@@ -12,21 +12,21 @@
 
 /**
  * A factory for creating Adapter objects.
- *  
+ * 
  * @author mdecorde
  * @author sjacquot
  */
 public class LexiconAdapterFactory extends TXMResultAdapterFactory {
-
 	
-	public static final ImageDescriptor ICON =
-			AbstractUIPlugin.imageDescriptorFromPlugin(FrameworkUtil.getBundle(LexiconAdapterFactory.class).getSymbolicName(),
-					"platform:/plugin/"+ FrameworkUtil.getBundle(LexiconAdapterFactory.class).getSymbolicName() + "/icons/lexicon.png"); //$NON-NLS-1$ //$NON-NLS-2$
 	
+	public static final ImageDescriptor ICON = AbstractUIPlugin.imageDescriptorFromPlugin(FrameworkUtil.getBundle(LexiconAdapterFactory.class).getSymbolicName(),
+			"platform:/plugin/" + FrameworkUtil.getBundle(LexiconAdapterFactory.class).getSymbolicName() + "/icons/lexicon.png"); //$NON-NLS-1$ //$NON-NLS-2$
+	
 	@Override
 	public Object getAdapter(Object adaptableObject, Class adapterType) {
-		if(this.canAdapt(adapterType) && adaptableObject instanceof Lexicon)	{
+		if (this.canAdapt(adapterType) && adaptableObject instanceof Lexicon) {
 			return new TXMResultAdapter() {
+				
 				@Override
 				public ImageDescriptor getImageDescriptor(Object object) {
 					return ICON;
@@ -35,6 +35,6 @@
 		}
 		return null;
 	}
-
-
+	
+	
 }
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/adapters/PartitionIndexAdapterFactory.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/adapters/PartitionIndexAdapterFactory.java	(revision 2396)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/adapters/PartitionIndexAdapterFactory.java	(revision 2397)
@@ -11,21 +11,21 @@
 
 /**
  * Display an Index or Lexicon icon dependaing on the Index used a lexicon to compute
- *  
+ * 
  * @author mdecorde
  * @author sjacquot
  */
 public class PartitionIndexAdapterFactory extends TXMResultAdapterFactory {
-
-
-	public static final ImageDescriptor ICON =
-			AbstractUIPlugin.imageDescriptorFromPlugin(FrameworkUtil.getBundle(PartitionIndexAdapterFactory.class).getSymbolicName(),
-					"platform:/plugin/"+ FrameworkUtil.getBundle(PartitionIndexAdapterFactory.class).getSymbolicName() + "/icons/partitionindex.png"); //$NON-NLS-1$ //$NON-NLS-2$
 	
+	
+	public static final ImageDescriptor ICON = AbstractUIPlugin.imageDescriptorFromPlugin(FrameworkUtil.getBundle(PartitionIndexAdapterFactory.class).getSymbolicName(),
+			"platform:/plugin/" + FrameworkUtil.getBundle(PartitionIndexAdapterFactory.class).getSymbolicName() + "/icons/partitionindex.png"); //$NON-NLS-1$ //$NON-NLS-2$
+	
 	@Override
 	public Object getAdapter(Object adaptableObject, Class adapterType) {
-		if(this.canAdapt(adapterType) && adaptableObject instanceof PartitionIndex)	{
+		if (this.canAdapt(adapterType) && adaptableObject instanceof PartitionIndex) {
 			return new TXMResultAdapter() {
+				
 				@Override
 				public ImageDescriptor getImageDescriptor(Object object) {
 					return ICON;
@@ -34,6 +34,6 @@
 		}
 		return null;
 	}
-
-
+	
+	
 }
Index: tmp/org.txm.index.rcp/src/org/txm/index/rcp/messages/IndexUIMessages.java
===================================================================
--- tmp/org.txm.index.rcp/src/org/txm/index/rcp/messages/IndexUIMessages.java	(revision 2396)
+++ tmp/org.txm.index.rcp/src/org/txm/index/rcp/messages/IndexUIMessages.java	(revision 2397)
@@ -10,31 +10,40 @@
  *
  */
 public class IndexUIMessages extends NLS {
-
+	
 	private static final String BUNDLE_NAME = "org.txm.index.rcp.messages.messages"; //$NON-NLS-1$
-
-	public static String infos; 
 	
-	public static String numberOfLinesPerResultPage; 
-	public static String index; 
+	public static String infos;
 	
-	public static String indexColonQueryIsEmpty; 
-	public static String failedToComputeIndex; 
+	public static String numberOfLinesPerResultPage;
+	
+	public static String index;
+	
+	public static String indexColonQueryIsEmpty;
+	
+	public static String failedToComputeIndex;
+	
 	public static String IndexEditor_17;
-	public static String indexOfInfP0SupWithPropertyColonP1InTheCorpusColonP2; 
-	public static String indexOfInfP0SupWithPropertyColonP1InThePartitionColonP2; 
-	public static String couldntInitializeIndexTable; 
-	public static String openingTheIndexResults; 
-	public static String computingIndex; 
-	public static String pageSize; 
-	public static String openingIndexResults; 
-
 	
+	public static String indexOfInfP0SupWithPropertyColonP1InTheCorpusColonP2;
+	
+	public static String indexOfInfP0SupWithPropertyColonP1InThePartitionColonP2;
+	
+	public static String couldntInitializeIndexTable;
+	
+	public static String openingTheIndexResults;
+	
+	public static String computingIndex;
+	
+	public static String pageSize;
+	
+	public static String openingIndexResults;
+	
+	
 	static {
 		// initialize resource bundle
 		Utf8NLS.initializeMessages(BUNDLE_NAME, IndexUIMessages.class);
 	}
-
-	private IndexUIMessages() {
-	}
+	
+	private IndexUIMessages() {}
 }
